## ros-rolling-sros2 0.10.3

=== debian/changelog ===
ros-rolling-sros2 (0.10.3-1focal) focal; urgency=high

  * Wait for node discovery in test_generate_policy. (#262 <https://github.com/ros2/sros2/issues/262>)
  * Contributors: Michel Hidalgo

 -- ROS Security Working Group <ros-security@googlegroups.com>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-sros2 (0.10.2-1focal) focal; urgency=high

  * Skip mypy test on platforms using importlib_resources (#258 <https://github.com/ros2/sros2/issues/258>)
  * Enable topic "ros_discovery_info" for rmw_connextdds (#253 <https://github.com/ros2/sros2/issues/253>)
  * Declare missing dependency on python3-importlib-resources (#249 <https://github.com/ros2/sros2/issues/249>)
    Co-authored-by:  <mailto:mikael.arguedas@gmail.com>
  * Fix namedtuple names. (#250 <https://github.com/ros2/sros2/issues/250>)
  * Contributors: Andrea Sorbini, Chris Lalancette, Scott K Logan, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-sros2 (0.10.1-1focal) focal; urgency=high

  * parameter_events topic is now absolute (#233)
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sun, 08 Nov 2020 08:00:00 -0000

ros-rolling-sros2 (0.10.0-1focal) focal; urgency=high

  * Expose keystore operations in public API (#241 <https://github.com/ros2/sros2/issues/241>)
  * add cyclonedds to the list of rmw using graph info topics (#231 <https://github.com/ros2/sros2/issues/231>)
  * Add scope parameter (#230 <https://github.com/ros2/sros2/issues/230>)
  * Fix name of argument passed to NodeStrategy (#227 <https://github.com/ros2/sros2/issues/227>)
  * Remove the use of pkg_resources. (#225 <https://github.com/ros2/sros2/issues/225>)
  * Make use of ros_testing to test policy generation. (#214 <https://github.com/ros2/sros2/issues/214>)
  * Add pytest.ini so local tests don't display warning (#224 <https://github.com/ros2/sros2/issues/224>)
  * Contributors: Chris Lalancette, Jacob Perron, Jose Luis Rivero, Kyle Fazzari, Michel Hidalgo, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Tue, 03 Nov 2020 08:00:00 -0000

ros-rolling-sros2 (0.9.2-1focal) focal; urgency=high

  * Fix list keys verb (#219 <https://github.com/ros2/sros2/issues/219>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sat, 06 Jun 2020 07:00:00 -0000

ros-rolling-sros2 (0.9.1-1focal) focal; urgency=high

  * start validity date a day before to account for timezone mismatch (#209 <https://github.com/ros2/sros2/issues/209>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 11 May 2020 07:00:00 -0000

ros-rolling-sros2 (0.9.0-1focal) focal; urgency=high

  * Use matching validity dates for cert and permissions (#205 <https://github.com/ros2/sros2/issues/205>)
  * permission signing should use permissions_ca (#204 <https://github.com/ros2/sros2/issues/204>)
  * Rename keystore root env from ROS_SECURITY_ROOT_DIRECTORY to ROS_SECURITY_KEYSTORE (#200 <https://github.com/ros2/sros2/issues/200>)
  * API cleanup
    * remove function leftover from old generation strategy (#207 <https://github.com/ros2/sros2/issues/207>)
    * remove distribute_key completely (#197 <https://github.com/ros2/sros2/issues/197>)
    * api: reorganize policy generation API (#196 <https://github.com/ros2/sros2/issues/196>)
    * api: reorganize artifact generation API (#195 <https://github.com/ros2/sros2/issues/195>)
    * api: reorganize key API (#192 <https://github.com/ros2/sros2/issues/192>)
    * api: reorganize permission API (#191 <https://github.com/ros2/sros2/issues/191>)
    * api: reorganize policy API (#190 <https://github.com/ros2/sros2/issues/190>)
    * api: reorganize keystore API (#188 <https://github.com/ros2/sros2/issues/188>)
  * Security enclaves:
    * Use security contexts (#177 <https://github.com/ros2/sros2/issues/177>)
    * security-context -> enclave (#198 <https://github.com/ros2/sros2/issues/198>)
    * Update generate_policy verb for enclaves (#203 <https://github.com/ros2/sros2/issues/203>)
    * reenable test_generate_policy_no_policy_file (#206 <https://github.com/ros2/sros2/issues/206>)
  * [ci] Add GitHub actions for linting and source-build CI (#178 <https://github.com/ros2/sros2/issues/178>)
  * [test] use test_msgs instead of std message packages (#181 <https://github.com/ros2/sros2/issues/181>)
  * [test] more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * [bookkeeping] Update maintainer to point to ros-security mailing list + fix package.xml (#179 <https://github.com/ros2/sros2/issues/179>)
  * Symlink CA certs instead of copy (#176 <https://github.com/ros2/sros2/issues/176>)
  * update from ros2cli API:
    * pass argv in add_arguments to add_subparsers_on_demand (#175 <https://github.com/ros2/sros2/issues/175>)
    * switch to not deprecated API (#174 <https://github.com/ros2/sros2/issues/174>)
    * Use ros2cli.node.NodeStrategy consistently. (#173 <https://github.com/ros2/sros2/issues/173>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Kyle Fazzari, Michel Hidalgo, Mikael Arguedas, Ruffin

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 06 May 2020 07:00:00 -0000

ros-rolling-sros2 (0.8.1-1focal) focal; urgency=high

  * add profile for lifecycle nodes (#146 <https://github.com/ros2/sros2/issues/146>)
  * Cleanup changelog
  * Update version in setup.py
  * Contributors: Jacob Perron, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-sros2 (0.8.0-1focal) focal; urgency=high

  * Install an XML catalog so we can look this schema up locally (#158 <https://github.com/ros2/sros2/issues/158>)

