=== debian/control ===
Source: ros-rolling-sros2
Section: misc
Priority: optional
Maintainer: ROS Security Working Group <ros-security@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-mypy, ros-rolling-ament-pep257, ros-rolling-rclpy, ros-rolling-ros-testing, ros-rolling-ros2cli, ros-rolling-test-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-sros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-cryptography, python3-lxml, python3-minimal, ros-rolling-ament-index-python, ros-rolling-rclpy, ros-rolling-ros2cli, ros-rolling-ros-workspace
Description: Command line tools for managing SROS2 keys
