=== debian/control ===
Source: ros-rolling-sros2
Section: misc
Priority: optional
Maintainer: ROS Security Working Group <ros-security@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-rolling-ament-copyright <!nocheck>, ros-rolling-ament-flake8 <!nocheck>, ros-rolling-ament-mypy <!nocheck>, ros-rolling-ament-pep257 <!nocheck>, ros-rolling-rclpy, ros-rolling-ros-testing <!nocheck>, ros-rolling-ros2cli, ros-rolling-test-msgs <!nocheck>, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-sros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-cryptography, python3-lxml, python3-minimal, ros-rolling-ament-index-python, ros-rolling-rclpy, ros-rolling-ros2cli, ros-rolling-ros-workspace
Description: Command line tools for managing SROS2 keys
